#! /usr/bin/make -f

export PYBUILD_NAME=uvloop
export PYBUILD_BUILD_ARGS=build_ext --use-system-libuv
export PYBUILD_INSTALL_ARGS=build_ext --use-system-libuv
export PYBUILD_TEST_ARGS=-s tests --ignore=tests/test_pipes.py --ignore=tests/test_sourcecode.py --ignore=tests/test_sockets.py --ignore=tests/test_tcp.py --ignore=tests/test_libuv_api.py --ignore=tests/test_dns.py

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export TRAVIS_OS_NAME=dummy

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	# remove source files from binary packages
	find debian/ -type f \( -name '*.[ch]' -or -name '*.px[di]' -or -name '*.pyx' \) -delete
